Retrieve an attribute set
get/attribute_set/{id}/
Authorizations
AuthorizationstringRequired
Token credential sent in the Authorization header, in the form: Token <your-token>. Requires a staff (admin) account.
Path parameters
idintegerRequired
The unique identifier of the attribute set.
Responses
200
The requested attribute set.
application/json
A named group of attribute configurations assigned to products.
pkintegerRead-onlyOptional
The unique identifier of the attribute set.
namestring · max: 255Optional
The unique name of the attribute set.
attribute_set_typestring · enumOptionalPossible values:
The type of an attribute set.
simple— a standard attribute set (default)grouped— an attribute set used for grouped products
401
Authentication credentials were not provided or are invalid.
application/json
403
The authenticated user does not have administrator privileges.
application/json
404
The requested attribute set does not exist.
application/json
get/attribute_set/{id}/
GET /api/remote/1/attribute_set/{id}/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Accept: */*
{
"pk": 15,
"name": "Apparel",
"attribute_set_type": "simple",
"attributeconfig_set": []
}Last updated
Was this helpful?

